%define builtin_release_version 5.1
%define builtin_release_name codename
%define builtin_release_variant SLE
%define real_release_version %{?release_version}%{!?release_version:%{builtin_release_version}}
%define real_release_name %{?release_name}%{!?release_name:%{builtin_release_name}}
Summary: Scientific Linux Example release notes files
Name: example-release-notes
Version: %{real_release_version}
Release: 1
License: GPL
Group: System Environment/Base
Source: sl-release-notes-%{builtin_release_version}.tar.gz
Obsoletes: indexhtml sl-release-notes redhat-release-notes
BuildRoot: %{_tmppath}/redhat-release-notes-root
Provides: indexhtml
Provides: redhat-release-notes sl-release-notes
BuildArchitectures: noarch

%description
Scientific Linux Example release notes files.

%prep
%setup -q -n sl-release-notes-%{builtin_release_version}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_defaultdocdir}
cp -rf  $RPM_BUILD_DIR/sl-release-notes-%{builtin_release_version}/HTML $RPM_BUILD_ROOT%{_defaultdocdir}/.

## Install the latest SLE.release notes
if [ -f /mnt/src/scientific/5rolling/i386/sites/example/example.releasenote ] ; then
	install -m 644 /mnt/src/scientific/5rolling/i386/sites/example/example.releasenote $RPM_BUILD_DIR/sl-release-notes-%{builtin_release_version}/example.releasenote.%{version}.i386
fi
if [ -f /mnt/src/scientific/5rolling/x86_64/sites/example/example.releasenote ] ; then
	install -m 644 /mnt/src/scientific/5rolling/x86_64/sites/example/example.releasenote $RPM_BUILD_DIR/sl-release-notes-%{builtin_release_version}/example.releasenote.%{version}.x86_64
fi


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc R*
%doc SL*
%doc example*
%{_defaultdocdir}/HTML

%changelog
* Mon Dec 17 2007 Troy Dawson <dawson@fnal.gov> - 5.1-1
- Changed things to example

* Fri Apr 20 2007 Troy Dawson <dawson@fnal.gov> 5.0-4
- Added the SL release notes, so it always gets the latest version

* Tue Mar 27 2007 Troy Dawson <dawson@fnal.gov> 5.0-3
- updated release notes and readme's to the final version

* Thu Dec 21 2006 Troy Dawson <dawson@fnal.gov> 5.0-1
- Fixed HTML area - web page was pointing to the wrong image
- Made it a no-arch

